ISXEQ2 - Bug #1189

Me.Pet returns NULL
2014-09-28 01:54 PM - Kannkor

Status: Closed
Priority: High
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Description
Not sure if this is related to the change from MyPet return to Pet, but Me.Pet returns NULL.

History

#1 - 2014-09-28 02:53 PM - Amadeus
- Status changed from New to In Progress
- Assignee set to Amadeus

- Priority changed from Normal to High

#2 - 2014-09-29 02:11 AM - Amadeus

- Status changed from In Progress to Closed

This is fixed in version 20140923.0026

By the way, Me.Pet and actor.Pet are *VERY* inefficient. So, scripts should really try to keep a record of the actorID# of the player's (or actor's) pet

to avoid having to call those very often. | mean, there's nothing wrong with calling them ...it's not a server call or anything like that ...but, in the grand
scheme of "efficient" vs. "inefficient" routines, it's more in the latter category than the former.
